Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retorna os detalhes de um pagamento específico
curl https://api.upag.io/v1/payments/pay_xyz789abc \ -H "Authorization: Bearer {token}"
import { Upag } from 'upag'; const upag = new Upag('sk_test_your_api_key'); const payment = await upag.payments.retrieve('pay_xyz789abc');
pay_
{ "id": "pay_xyz789abc", "livemode": false, "customer": { "id": "cus_ahwDXrgYvur89iPs", "name": "John Doe", "email": "john.doe@example.com" }, "paymentMethod": { "id": "pm_abc123xyz", "type": "credit_card", "lastDigits": "1111", "brand": "visa" }, "amount": 10000, "gross": 10000, "mdr": 0, "net": 10000, "interest": 0, "currency": "BRL", "status": "paid", "pixQrCode": null, "refuseReason": null, "installments": 1, "createdAt": 1731622178441, "updatedAt": 1731622178441, "dueAt": null }